camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Schneider <ch...@die-schneider.net>
Subject Re: Problem using JmsCompoment with Tibco implementation
Date Thu, 08 Dec 2011 17:26:28 GMT
I rather think there might be two different jms apis around.
If the tibco impl and your bundle see different jms api classes then 
this error can happen.

You can easily check Babaks assumption by running the same route outside 
OSGi. If it works outside OSGi than it is rather
the double jms api issue. If it does not work then the tibco connection 
factory may in fact be only jms 1.0.2 compliant.

Christian


Am 08.12.2011 17:16, schrieb bvahdat:
> Hi,
>
> could it be that the 'com.tibco.tibjms.TibjmsConnectionFactory' class you've
> got on the classpath is just JMS 1.0.2 and not necessarily JMS 1.1
> complaint. Can you please check it, maybe through the Manifest inside the
> jar containing that class?
>
>  From Camel 2.5 onwards the support for the JMS 1.0.2 has been dropt, see [1]
>
> [1] http://camel.apache.org/jms
>
> Babak
>
> --
> View this message in context: http://camel.465427.n5.nabble.com/Problem-using-JmsCompoment-with-Tibco-implementation-tp5059096p5059303.html
> Sent from the Camel - Users mailing list archive at Nabble.com.


-- 

Christian Schneider
http://www.liquid-reality.de

Open Source Architect
Talend Application Integration Division http://www.talend.com


Mime
View raw message